package com.seatel.mobilehall.ui.login.presenter

import com.seatel.mobilehall.ui.login.fragment.MainFragment
import com.seatel.mobilehall.ui.login.interactor.MainFragmentInteractor
import com.seatel.mobilehall.ui.login.interactor.MainInteractor

class MainPresenter(private var homeView: MainInteractor.View) : MainInteractor.Presenter,
    MainFragmentInteractor.Presenter {
    override fun onFragmentBackPress() {
    }

    override fun addFragment(fragment: MainFragment, isScrollAnim: Boolean) {
        homeView.setFragment(fragment, isScrollAnim)
    }

    override fun onLoadData() {
    }

}